Changeset 73 for ThirdParty/HSL


Ignore:
Timestamp:
Jun 23, 2006 4:23:50 PM (15 years ago)
Author:
andreasw
Message:

several improvements for MSys

Location:
ThirdParty/HSL/trunk
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/HSL/trunk/Makefile.in

    r55 r73  
    103103distcleancheck_listfiles = find . -type f -print
    104104ACLOCAL = @ACLOCAL@
     105ADDLIBS = @ADDLIBS@
    105106ADD_FFLAGS = @ADD_FFLAGS@
     107ALWAYS_FALSE_FALSE = @ALWAYS_FALSE_FALSE@
     108ALWAYS_FALSE_TRUE = @ALWAYS_FALSE_TRUE@
    106109AMDEP_FALSE = @AMDEP_FALSE@
    107110AMDEP_TRUE = @AMDEP_TRUE@
     
    141144EXEEXT = @EXEEXT@
    142145F77 = @F77@
     146FADDLIBS = @FADDLIBS@
    143147FFLAGS = @FFLAGS@
    144148HAVE_EXTERNALS_FALSE = @HAVE_EXTERNALS_FALSE@
  • ThirdParty/HSL/trunk/configure

    r60 r73  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os COIN_DEBUG_TRUE COIN_DEBUG_FALSE F77 FFLAGS LDFLAGS ac_ct_F77 EXEEXT OBJEXT ADD_FFLAGS MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE CC CFLAGS CPPFLAGS ac_ct_CC DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL LT_LDFLAGS RPATH_FLAGS COIN_HAS_MA27_TRUE COIN_HAS_MA27_FALSE COIN_HAS_MC19_TRUE COIN_HAS_MC19_FALSE COIN_HAS_MA57_TRUE COIN_HAS_MA57_FALSE LIBOBJS LTLIBOBJS VPATH_DISTCLEANFILES'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os COIN_DEBUG_TRUE COIN_DEBUG_FALSE F77 FFLAGS LDFLAGS ac_ct_F77 EXEEXT OBJEXT ADD_FFLAGS MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE CC CFLAGS CPPFLAGS ac_ct_CC DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL LT_LDFLAGS RPATH_FLAGS COIN_HAS_MA27_TRUE COIN_HAS_MA27_FALSE COIN_HAS_MC19_TRUE COIN_HAS_MC19_FALSE COIN_HAS_MA57_TRUE COIN_HAS_MA57_FALSE LIBOBJS LTLIBOBJS VPATH_DISTCLEANFILES'
    476476ac_subst_files=''
    477477
     
    15501550
    15511551
     1552# Initialize the ADDLIBS variable
     1553ADDLIBS='-lm'
     1554
     1555
     1556# Initialize the FADDLIBS variable (which is to be used with a fortran
     1557# compiler and will not include FLIBS)
     1558FADDLIBS=
     1559
     1560
     1561# A useful makefile conditional that is always false
     1562
     1563
     1564if false; then
     1565  ALWAYS_FALSE_TRUE=
     1566  ALWAYS_FALSE_FALSE='#'
     1567else
     1568  ALWAYS_FALSE_TRUE='#'
     1569  ALWAYS_FALSE_FALSE=
     1570fi
     1571
     1572
     1573# We set the following variable so that we know later in AC_COIN_FINALIZE
     1574# that we are in a project main directory
     1575coin_projectdir=yes
     1576
     1577
    15521578#############################################################################
    15531579#                         Standard build tool stuff                         #
     
    16861712  *)         comps="xlf fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc" ;;
    16871713esac
     1714
     1715# We delete the cached value, since the test might not have been
     1716# performed with out choise of compilers earlier
     1717ac_cv_prog_F77=
    16881718ac_ext=f
    16891719ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     
    17781808
    17791809# Provide some information about the compiler.
    1780 echo "$as_me:1780:" \
     1810echo "$as_me:1810:" \
    17811811     "checking for Fortran 77 compiler version" >&5
    17821812ac_compiler=`set X $ac_compile; echo $2`
     
    24482478  ;;
    24492479  *-mingw*)
    2450     case "$CXX" in
    2451       cl*)
    2452         coin_disable_shared=yes
    2453         platform="Msys with cl"
    2454     ;;
    2455     esac
     2480    coin_disable_shared=yes
     2481    platform="Msys"
     2482#    case "$CXX" in
     2483#      cl*)
     2484#        coin_disable_shared=yes
     2485#        platform="Msys with cl"
     2486#    ;;
     2487#    esac
    24562488  ;;
    24572489esac
     
    42844316*-*-irix6*)
    42854317  # Find out which ABI we are using.
    4286   echo '#line 4286 "configure"' > conftest.$ac_ext
     4318  echo '#line 4318 "configure"' > conftest.$ac_ext
    42874319  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    42884320  (eval $ac_compile) 2>&5
     
    67136745   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    67146746   -e 's:$: $lt_compiler_flag:'`
    6715    (eval echo "\"\$as_me:6715: $lt_compile\"" >&5)
     6747   (eval echo "\"\$as_me:6747: $lt_compile\"" >&5)
    67166748   (eval "$lt_compile" 2>conftest.err)
    67176749   ac_status=$?
    67186750   cat conftest.err >&5
    6719    echo "$as_me:6719: \$? = $ac_status" >&5
     6751   echo "$as_me:6751: \$? = $ac_status" >&5
    67206752   if (exit $ac_status) && test -s "$ac_outfile"; then
    67216753     # The compiler can only warn and ignore the option if not recognized
     
    69817013   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    69827014   -e 's:$: $lt_compiler_flag:'`
    6983    (eval echo "\"\$as_me:6983: $lt_compile\"" >&5)
     7015   (eval echo "\"\$as_me:7015: $lt_compile\"" >&5)
    69847016   (eval "$lt_compile" 2>conftest.err)
    69857017   ac_status=$?
    69867018   cat conftest.err >&5
    6987    echo "$as_me:6987: \$? = $ac_status" >&5
     7019   echo "$as_me:7019: \$? = $ac_status" >&5
    69887020   if (exit $ac_status) && test -s "$ac_outfile"; then
    69897021     # The compiler can only warn and ignore the option if not recognized
     
    70857117   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    70867118   -e 's:$: $lt_compiler_flag:'`
    7087    (eval echo "\"\$as_me:7087: $lt_compile\"" >&5)
     7119   (eval echo "\"\$as_me:7119: $lt_compile\"" >&5)
    70887120   (eval "$lt_compile" 2>out/conftest.err)
    70897121   ac_status=$?
    70907122   cat out/conftest.err >&5
    7091    echo "$as_me:7091: \$? = $ac_status" >&5
     7123   echo "$as_me:7123: \$? = $ac_status" >&5
    70927124   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    70937125   then
     
    94309462  lt_status=$lt_dlunknown
    94319463  cat > conftest.$ac_ext <<EOF
    9432 #line 9432 "configure"
     9464#line 9464 "configure"
    94339465#include "confdefs.h"
    94349466
     
    95309562  lt_status=$lt_dlunknown
    95319563  cat > conftest.$ac_ext <<EOF
    9532 #line 9532 "configure"
     9564#line 9564 "configure"
    95339565#include "confdefs.h"
    95349566
     
    1187411906   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1187511907   -e 's:$: $lt_compiler_flag:'`
    11876    (eval echo "\"\$as_me:11876: $lt_compile\"" >&5)
     11908   (eval echo "\"\$as_me:11908: $lt_compile\"" >&5)
    1187711909   (eval "$lt_compile" 2>conftest.err)
    1187811910   ac_status=$?
    1187911911   cat conftest.err >&5
    11880    echo "$as_me:11880: \$? = $ac_status" >&5
     11912   echo "$as_me:11912: \$? = $ac_status" >&5
    1188111913   if (exit $ac_status) && test -s "$ac_outfile"; then
    1188211914     # The compiler can only warn and ignore the option if not recognized
     
    1197812010   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1197912011   -e 's:$: $lt_compiler_flag:'`
    11980    (eval echo "\"\$as_me:11980: $lt_compile\"" >&5)
     12012   (eval echo "\"\$as_me:12012: $lt_compile\"" >&5)
    1198112013   (eval "$lt_compile" 2>out/conftest.err)
    1198212014   ac_status=$?
    1198312015   cat out/conftest.err >&5
    11984    echo "$as_me:11984: \$? = $ac_status" >&5
     12016   echo "$as_me:12016: \$? = $ac_status" >&5
    1198512017   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1198612018   then
     
    1354813580   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1354913581   -e 's:$: $lt_compiler_flag:'`
    13550    (eval echo "\"\$as_me:13550: $lt_compile\"" >&5)
     13582   (eval echo "\"\$as_me:13582: $lt_compile\"" >&5)
    1355113583   (eval "$lt_compile" 2>conftest.err)
    1355213584   ac_status=$?
    1355313585   cat conftest.err >&5
    13554    echo "$as_me:13554: \$? = $ac_status" >&5
     13586   echo "$as_me:13586: \$? = $ac_status" >&5
    1355513587   if (exit $ac_status) && test -s "$ac_outfile"; then
    1355613588     # The compiler can only warn and ignore the option if not recognized
     
    1365213684   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1365313685   -e 's:$: $lt_compiler_flag:'`
    13654    (eval echo "\"\$as_me:13654: $lt_compile\"" >&5)
     13686   (eval echo "\"\$as_me:13686: $lt_compile\"" >&5)
    1365513687   (eval "$lt_compile" 2>out/conftest.err)
    1365613688   ac_status=$?
    1365713689   cat out/conftest.err >&5
    13658    echo "$as_me:13658: \$? = $ac_status" >&5
     13690   echo "$as_me:13690: \$? = $ac_status" >&5
    1365913691   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1366013692   then
     
    1585915891   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1586015892   -e 's:$: $lt_compiler_flag:'`
    15861    (eval echo "\"\$as_me:15861: $lt_compile\"" >&5)
     15893   (eval echo "\"\$as_me:15893: $lt_compile\"" >&5)
    1586215894   (eval "$lt_compile" 2>conftest.err)
    1586315895   ac_status=$?
    1586415896   cat conftest.err >&5
    15865    echo "$as_me:15865: \$? = $ac_status" >&5
     15897   echo "$as_me:15897: \$? = $ac_status" >&5
    1586615898   if (exit $ac_status) && test -s "$ac_outfile"; then
    1586715899     # The compiler can only warn and ignore the option if not recognized
     
    1612716159   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1612816160   -e 's:$: $lt_compiler_flag:'`
    16129    (eval echo "\"\$as_me:16129: $lt_compile\"" >&5)
     16161   (eval echo "\"\$as_me:16161: $lt_compile\"" >&5)
    1613016162   (eval "$lt_compile" 2>conftest.err)
    1613116163   ac_status=$?
    1613216164   cat conftest.err >&5
    16133    echo "$as_me:16133: \$? = $ac_status" >&5
     16165   echo "$as_me:16165: \$? = $ac_status" >&5
    1613416166   if (exit $ac_status) && test -s "$ac_outfile"; then
    1613516167     # The compiler can only warn and ignore the option if not recognized
     
    1623116263   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1623216264   -e 's:$: $lt_compiler_flag:'`
    16233    (eval echo "\"\$as_me:16233: $lt_compile\"" >&5)
     16265   (eval echo "\"\$as_me:16265: $lt_compile\"" >&5)
    1623416266   (eval "$lt_compile" 2>out/conftest.err)
    1623516267   ac_status=$?
    1623616268   cat out/conftest.err >&5
    16237    echo "$as_me:16237: \$? = $ac_status" >&5
     16269   echo "$as_me:16269: \$? = $ac_status" >&5
    1623816270   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1623916271   then
     
    1950319535      chmod 755 libtool
    1950419536      ;;
    19505 
     19537    *)
     19538      { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
     19539echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
     19540      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     19541          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     19542          -e 's|libext="lib"|libext="a"|' \
     19543      libtool > conftest.bla
     19544
     19545      mv conftest.bla libtool
     19546      chmod 755 libtool
     19547      ;;
    1950619548  esac
    1950719549esac
     
    1952019562
    1952119563if test $enable_shared = yes; then
    19522   if test "$GXX" = "yes"; then
    19523     RPATH_FLAGS=
    19524     for dir in $abs_lib_dir; do
    19525       RPATH_FLAGS="$RPATH_FLAGS -Wl,--rpath -Wl,$dir"
    19526     done
    19527   else
    19528     case $build in
    19529       *-linux-*)
    19530         case "$CXX" in
    19531         icpc* | */icpc*)
    19532           RPATH_FLAGS=
    19533           for dir in $abs_lib_dir; do
    19534             RPATH_FLAGS="$RPATH_FLAGS -Wl,--rpath -Wl,$dir"
    19535           done
    19536         esac ;;
    19537       *-ibm-*)
    19538         case "$CXX" in
    19539         xlC* | */xlC* | mpxlC* | */mpxlC*)
    19540           RPATH_FLAGS=nothing ;;
    19541         esac ;;
    19542       *-hp-*)
    19543           RPATH_FLAGS=nothing ;;
    19544       *-mingw32)
    19545           RPATH_FLAGS=nothing ;;
    19546       *-sun-*)
    19547           RPATH_FLAGS=
    19548           for dir in $abs_lib_dir; do
    19549             RPATH_FLAGS="$RPATH_FLAGS -R$dir"
    19550           done
    19551      esac
    19552   fi
     19564  case $build in
     19565    *-linux-*)
     19566      case "$CXX" in
     19567      icpc* | */icpc*)
     19568        RPATH_FLAGS=
     19569        for dir in $abs_lib_dir; do
     19570          RPATH_FLAGS="$RPATH_FLAGS -Wl,--rpath -Wl,$dir"
     19571        done
     19572      esac ;;
     19573    *-darwin*)
     19574        RPATH_FLAGS=nothing ;;
     19575    *-ibm-*)
     19576      case "$CXX" in
     19577      xlC* | */xlC* | mpxlC* | */mpxlC*)
     19578        RPATH_FLAGS=nothing ;;
     19579      esac ;;
     19580    *-hp-*)
     19581        RPATH_FLAGS=nothing ;;
     19582    *-mingw32)
     19583        RPATH_FLAGS=nothing ;;
     19584    *-sun-*)
     19585        RPATH_FLAGS=
     19586        for dir in $abs_lib_dir; do
     19587          RPATH_FLAGS="$RPATH_FLAGS -R$dir"
     19588        done
     19589  esac
    1955319590
    1955419591  if test "$RPATH_FLAGS" = ""; then
    19555     { echo "$as_me:$LINENO: WARNING: Could not automatically determine how to tell the linker about automatic inclusion of the path for shared libraries.  The test examples might not work if you link against shared objects.  You will need to set the LD_LIBRARY_PATH or LIBDIR variable manually." >&5
    19556 echo "$as_me: WARNING: Could not automatically determine how to tell the linker about automatic inclusion of the path for shared libraries.  The test examples might not work if you link against shared objects.  You will need to set the LD_LIBRARY_PATH or LIBDIR variable manually." >&2;}
     19592    { echo "$as_me:$LINENO: WARNING: Could not automatically determine how to tell the linker about automatic inclusion of the path for shared libraries.  The test examples might not work if you link against shared objects.  You will need to set the LD_LIBRARY_PATH, DYLP_LIBRARY_PATH, or LIBDIR variable manually." >&5
     19593echo "$as_me: WARNING: Could not automatically determine how to tell the linker about automatic inclusion of the path for shared libraries.  The test examples might not work if you link against shared objects.  You will need to set the LD_LIBRARY_PATH, DYLP_LIBRARY_PATH, or LIBDIR variable manually." >&2;}
    1955719594  fi
    1955819595  if test "$RPATH_FLAGS" = "nothing"; then
     
    1969919736
    1970019737
     19738FADDLIBS="$ADDLIBS"
    1970119739if test x"$coin_need_flibs" = xyes; then
    1970219740  ADDLIBS="$ADDLIBS $FLIBS"
     
    1982519863
    1982619864
     19865if test -z "${ALWAYS_FALSE_TRUE}" && test -z "${ALWAYS_FALSE_FALSE}"; then
     19866  { { echo "$as_me:$LINENO: error: conditional \"ALWAYS_FALSE\" was never defined.
     19867Usually this means the macro was only invoked conditionally." >&5
     19868echo "$as_me: error: conditional \"ALWAYS_FALSE\" was never defined.
     19869Usually this means the macro was only invoked conditionally." >&2;}
     19870   { (exit 1); exit 1; }; }
     19871fi
    1982719872if test -z "${COIN_DEBUG_TRUE}" && test -z "${COIN_DEBUG_FALSE}"; then
    1982819873  { { echo "$as_me:$LINENO: error: conditional \"COIN_DEBUG\" was never defined.
     
    2041320458s,@ECHO_T@,$ECHO_T,;t t
    2041420459s,@LIBS@,$LIBS,;t t
     20460s,@ADDLIBS@,$ADDLIBS,;t t
     20461s,@FADDLIBS@,$FADDLIBS,;t t
     20462s,@ALWAYS_FALSE_TRUE@,$ALWAYS_FALSE_TRUE,;t t
     20463s,@ALWAYS_FALSE_FALSE@,$ALWAYS_FALSE_FALSE,;t t
    2041520464s,@build@,$build,;t t
    2041620465s,@build_cpu@,$build_cpu,;t t
  • ThirdParty/HSL/trunk/configure.ac

    r51 r73  
    3232# /usr/local.
    3333AC_PREFIX_DEFAULT([`pwd`])
     34
     35AC_COIN_PROJECTDIR_INIT
    3436
    3537#############################################################################
Note: See TracChangeset for help on using the changeset viewer.